Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  VBA Befehl

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  VBA Befehl (2103 mal gelesen)
wadima
Mitglied
technischer Zeichner

Sehen Sie sich das Profil von wadima an!   Senden Sie eine Private Message an wadima  Schreiben Sie einen Gästebucheintrag für wadima

Beiträge: 7
Registriert: 07.12.2009

Microsoft Windows 7 Professional Service Pack 1
Intel(R) Core (TM)i7 CPU
920 @ 2.67GHz 2.67 GHz (RAM): 12,0GB
Inventor Professional 2015
2015 SP1 Update 2
NVIDIA Quadro 4000

erstellt am: 30. Apr. 2015 14:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Liebe Forum User,
für unsere Bohranlage müssen wir öfters Modelle (.ipt's) im bestimmten Speicherort im Step Format ablegen. Dazu müssen wir jedes mal auf "Datei Kopie speichern unter" gehen und den ganzen Pfad durchklicken, was bei 30-40 Teilen etwas umständlich ist.
Die Idee von mir ist: einen Button zu erstellen und den mit Makro belegen. Praktisch eine
One-Klick-Lösung, bei der eventuell Speicherfenster aufgeht, wo Pfad, Format und im Idealfall Artikelnummer vom Originalteil schon eingetragen ist.
Verwendet sowas schon jemand?
Wie würde das Befehl dann aussehen ?
Wäre ganz dankbar für eure Tipps.

P.S. Suche im Forum ergab leider keine Ergebnisse...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lothar Boekels
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau und CAD-Trainer



Sehen Sie sich das Profil von Lothar Boekels an!   Senden Sie eine Private Message an Lothar Boekels  Schreiben Sie einen Gästebucheintrag für Lothar Boekels

Beiträge: 3792
Registriert: 15.02.2001

DELL Precision 7520 Win10Pro-64
Inventor mit Vault Professional 2022
---------------------
Während man es aufschiebt,
verrinnt das Leben.
Lucius Annaeus Seneca
(ca. 4 v. Chr - 65 n. Chr.)

erstellt am: 30. Apr. 2015 14:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für wadima 10 Unities + Antwort hilfreich

kuckst Du unter:

Inventor ?
Hilfe Programmierung / API Hilfe
Sample Programms
Translators
Export
Export to Step

Da steht eigentlich alles bis auf die Namensfestlegung.

------------------
mit freundlichem Gruß
aus Mönchengladbach
Lothar Boekels

-----------------------------------------------------
Wir unterstützen die Arbeit der
Rettungshundestaffel des DRK in Viersen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Duc-men
Mitglied
Freiberufler Konstrukteur


Sehen Sie sich das Profil von Duc-men an!   Senden Sie eine Private Message an Duc-men  Schreiben Sie einen Gästebucheintrag für Duc-men

Beiträge: 68
Registriert: 04.02.2009

HP 8710W
Win.2000/xp VISA Inventor bis 2011 HP 87101M quadro 3600
DUCATI 851

erstellt am: 30. Apr. 2015 15:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für wadima 10 Unities + Antwort hilfreich

' Get the STEP translator Add-In.
Dim oSTEPTranslator As TranslatorAddIn
oSTEPTranslator = ThisApplication.ApplicationAddIns.ItemById("{90AF7F40-0C01-11D5-8E83-0010B541CD80}")
Dim oContext As TranslationContext
oContext = ThisApplication.TransientObjects.CreateTranslationContext
Dim oOptions As NameValueMap
oOptions = ThisApplication.TransientObjects.CreateNameValueMap

If oSTEPTranslator.HasSaveCopyAsOptions(ThisApplication.ActiveDocument, oContext, oOptions) Then
    ' Set application protocol.
    ' 2 = AP 203 - Configuration Controlled Design
    ' 3 = AP 214 - Automotive Design
    oOptions.Value("ApplicationProtocolType") = 3
    ' Other options...
    'oOptions.Value("Author") = ""
    'oOptions.Value("Authorization") = ""
    'oOptions.Value("Description") = ""
    'oOptions.Value("Organization") = ""
    oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
    Dim oData As DataMedium
    oData = ThisApplication.TransientObjects.CreateDataMedium
Ordner=Right(Left(ThisDoc.FileName(False),4),2)
    oData.FileName = "\\Hier Pfad eintragen" & Ordner & " step\" & ThisDoc.FileName(False) & ".stp"
oSTEPTranslator.SaveCopyAs(ThisApplication.ActiveDocument, oContext, oOptions, oData)
MessageBox.Show("Gespeichert in: " & oData.FileName, "STP")

End If

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wadima
Mitglied
technischer Zeichner

Sehen Sie sich das Profil von wadima an!   Senden Sie eine Private Message an wadima  Schreiben Sie einen Gästebucheintrag für wadima

Beiträge: 7
Registriert: 07.12.2009

Microsoft Windows 7 Professional Service Pack 1
Intel(R) Core (TM)i7 CPU
920 @ 2.67GHz 2.67 GHz (RAM): 12,0GB
Inventor Professional 2015
2015 SP1 Update 2
NVIDIA Quadro 4000

erstellt am: 30. Apr. 2015 15:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für die schnellen Antworten !
@ Duc-men
oSTEPTranslator.SaveCopyAs(ThisApplication.ActiveDocument, oContext, oOptions, oData)
MessageBox.Show("Gespeichert in: " & oData.FileName, "STP")

wird bei mir rot angezeigt unf somit funzt nicht 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Chris 31
Mitglied
Konstrukteur und Mädchen für alles


Sehen Sie sich das Profil von Chris 31 an!   Senden Sie eine Private Message an Chris 31  Schreiben Sie einen Gästebucheintrag für Chris 31

Beiträge: 575
Registriert: 23.04.2013

Inventor 2013
Windows 7 64 bit
16GB RAM
nVidia Quadro 600

erstellt am: 30. Apr. 2015 15:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für wadima 10 Unities + Antwort hilfreich

Kann es sein, dass du was vergessen hast?

Code:
Call oSTEPTranslator.SaveCopyAs(ThisApplication.ActiveDocument, oContext, oOptions, oData)

------------------
MFG

Chris

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

daywa1k3r
Ehrenmitglied V.I.P. h.c.
Softwareentwickler



Sehen Sie sich das Profil von daywa1k3r an!   Senden Sie eine Private Message an daywa1k3r  Schreiben Sie einen Gästebucheintrag für daywa1k3r

Beiträge: 3497
Registriert: 01.08.2002

Desktop: 3.3GHz;8GB;SSD OCZ Vertex 3;Gainward Phantom GTX570
Laptop: Alienware m17x
Win7, Inventor2012 64Bi

erstellt am: 30. Apr. 2015 15:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für wadima 10 Unities + Antwort hilfreich

Da hat sich etwas html während copy/paste in den Code eingeschlichen. Am besten den Code zuerst in ein Texteditor kopieren um die Formatierungen los zu werden, und dann in den VBA Editor. Meistens sind es irgendwelche Zeilenumbrüche - könntest du in VBA editor auch versuchen zu löschen.

------------------
Grüße Igor

FX64 Software Solutions - Inventor Tools
FX64 LambdaSpect - Lichtsimulation mit Autodesk Inventor

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Frank_Schalla
Ehrenmitglied
CAD_SYSTEMBETREUER


Sehen Sie sich das Profil von Frank_Schalla an!   Senden Sie eine Private Message an Frank_Schalla  Schreiben Sie einen Gästebucheintrag für Frank_Schalla

Beiträge: 1731
Registriert: 06.04.2002

DELL M6800
Cad Admin
Methodikentwickler 3D

erstellt am: 02. Mai. 2015 16:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für wadima 10 Unities + Antwort hilfreich


fuf.jpg

 
Mach das nicht so kompliziert.
passt einfach eure Projektdatei an und das speichern ist ein schneller Vorgang

------------------
************************************
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Duc-men
Mitglied
Freiberufler Konstrukteur


Sehen Sie sich das Profil von Duc-men an!   Senden Sie eine Private Message an Duc-men  Schreiben Sie einen Gästebucheintrag für Duc-men

Beiträge: 68
Registriert: 04.02.2009

HP 8710W
Win.2000/xp VISA Inventor bis 2011 HP 87101M quadro 3600
DUCATI 851

erstellt am: 05. Mai. 2015 16:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für wadima 10 Unities + Antwort hilfreich

MessageBox.Show("Gespeichert in: " & oData.FileName, "STP")

Dies ist nur damit mann sieht wo es gespeichert wird.
Dies könnte mann auch weg lassen.

Versuche es dann noch mal.
Bei mir funktioniert es einwandfrei.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wadima
Mitglied
technischer Zeichner

Sehen Sie sich das Profil von wadima an!   Senden Sie eine Private Message an wadima  Schreiben Sie einen Gästebucheintrag für wadima

Beiträge: 7
Registriert: 07.12.2009

Microsoft Windows 7 Professional Service Pack 1
Intel(R) Core (TM)i7 CPU
920 @ 2.67GHz 2.67 GHz (RAM): 12,0GB
Inventor Professional 2015
2015 SP1 Update 2
NVIDIA Quadro 4000

erstellt am: 06. Mai. 2015 08:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke sehr für eure Tipps !
Die Sache mit Projektdatei werde ich auch ausprobieren. Weiß aber nicht ob das funktioniert, weil der Speicherordner für STEP-Dateien "außerhalb" der Projektdatei liegt.

@Duc-men:
Die Zeile "MessageBox..." habe ich probiert wegzulassen, funzt aber immer noch nicht.
Was steht bei dir vor und nach dem Code ?
Sowas wie Sub... und End Sub ?
In den nächsten Tagen wird ein Mitarbeiter der EDV sich das ansehen. Mal sehen was er dazu sagen wird...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Duc-men
Mitglied
Freiberufler Konstrukteur


Sehen Sie sich das Profil von Duc-men an!   Senden Sie eine Private Message an Duc-men  Schreiben Sie einen Gästebucheintrag für Duc-men

Beiträge: 68
Registriert: 04.02.2009

HP 8710W
Win.2000/xp VISA Inventor bis 2011 HP 87101M quadro 3600
DUCATI 851

erstellt am: 06. Mai. 2015 10:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für wadima 10 Unities + Antwort hilfreich

versuche es mal hiermit,


' Get the STEP translator Add-In.
Dim oSTEPTranslator As TranslatorAddIn
oSTEPTranslator = ThisApplication.ApplicationAddIns.ItemById("{90AF7F40-0C01-11D5-8E83-0010B541CD80}")
Dim oContext As TranslationContext
oContext = ThisApplication.TransientObjects.CreateTranslationContext
Dim oOptions As NameValueMap
oOptions = ThisApplication.TransientObjects.CreateNameValueMap

If oSTEPTranslator.HasSaveCopyAsOptions(ThisApplication.ActiveDocument, oContext, oOptions) Then
    ' Set application protocol.
    ' 2 = AP 203 - Configuration Controlled Design
    ' 3 = AP 214 - Automotive Design
    oOptions.Value("ApplicationProtocolType") = 3
    ' Other options...
    'oOptions.Value("Author") = ""
    'oOptions.Value("Authorization") = ""
    'oOptions.Value("Description") = ""
    'oOptions.Value("Organization") = ""
    oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
    Dim oData As DataMedium
    oData = ThisApplication.TransientObjects.CreateDataMedium
    oData.FileName = ThisDoc.PathAndFileName(False) & ".stp"
oSTEPTranslator.SaveCopyAs(ThisApplication.ActiveDocument, oContext, oOptions, oData)
End If

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Frank_Schalla
Ehrenmitglied
CAD_SYSTEMBETREUER


Sehen Sie sich das Profil von Frank_Schalla an!   Senden Sie eine Private Message an Frank_Schalla  Schreiben Sie einen Gästebucheintrag für Frank_Schalla

Beiträge: 1731
Registriert: 06.04.2002

DELL M6800
Cad Admin
Methodikentwickler 3D

erstellt am: 11. Mai. 2015 13:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für wadima 10 Unities + Antwort hilfreich

Wegen
"Die Sache mit Projektdatei werde ich auch ausprobieren. Weiß aber nicht ob das funktioniert, weil der Speicherordner für STEP-Dateien "außerhalb" der Projektdatei liegt."

Das klappt wenn man weiss wie 
Erstelle in deinem Projektstammverzeichniss einen neuen Ordner z.B.
"STEP_EXTERN"
Diesen fügst du also "Häufig genutzter Ordner" hinzu
In dem nun eine Verknüpfung zum eigentlichen Zielordner
//Freigabe/Externe_Daten/STEP

So nun sieht der Anwender links den Ordner darin die Verknüpfung also genau 2 Klicks

------------------
************************************
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2023 CAD.de | Impressum | Datenschutz